// pictureBox.h
//
// John Findlay
//

#ifndef _PICX_H_
#define _PICX_H_

// the button class name
#define PICTUREBOX "PictureBoxClass"

// messages
#define PXM_SETIMAGE   0x00F7
#define PXM_STYLE      0x8000
#define PXM_CURSOR     0x8001

// styles
#define PXS_BITMAP     0x1
#define PXS_ICON       0x2
#define PXS_JPG        0x4
#define PXS_GIF        0x8
#define PXS_FITIMAGE   0x10
#define PXS_FITBOX     0x20
#define PXS_SUNKEN	   0x200
#define PXS_BORDER     0x800000L

// main creation API
HWND CreatePictureBox(DWORD dwStyle, char * picture, int x, int y, int cx, int cy, HWND hWndParent, DWORD ctrlID);

// Functions
void  PicBox_ShowWindow(HWND hwnd, DWORD show);
void  PicBox_libvers(void);
int   PicBox_Cursor(HWND hwnd, HCURSOR hCur);
int   PicBox_Style(HWND hwnd, DWORD style, DWORD newSize);
int   PicBox_Image(HWND hwnd, int Type, char * name);
BOOL  InitPictureBox(void);
void  ExitPictureBox(void);

#endif
